jQuery(document).ready(function($) {
	$(".slider .owl-carousel").owlCarousel({
		loop: true,
		margin: 0,
		nav: true,
		smartSpeed: 500,
		items: 1,
	});

	$(".hits .owl-carousel").owlCarousel({
		loop: true,
		margin: 0,
		nav: true,
		smartSpeed: 500,
		responsive:{
			0: {
				items: 1
			},
			576: {
				items: 2,
			},
			768: {
				items: 3
			},
			992: {
				items: 4,
			},
			1170: {
				items: 5,
			},
		},
	});

	$('.menu__button').click(function(){
		$(this).toggleClass('active');
		$('.menu__list').slideToggle(200);
	});

	$('.header__btn').click(function(){
		$('.header__bottom-bg').fadeToggle(200);
		$(this).toggleClass('active');
		$('.header__bottom').toggleClass('active');

		var i = 0;

		$('.header__nav li').each(function () {
			i++;
			$(this).css({'transition-delay': '0.' + i + 's'});
			$(this).addClass('header__animation');
		});
	});

	$('.header__bottom-bg').click(function(){
		$(this).fadeOut(200);
		$('.header__btn').removeClass('active');
		$('.header__bottom').removeClass('active');
	});


	jQuery(function (jQuery) {
		jQuery('.loadmore a').click(function (e) {
			e.preventDefault();
			jQuery(this).text('Загружаю...');
			var data = {
				'action': 'loadmore',
				'query': posts,
				'page': current_page
			};
			jQuery.ajax({
				url: ajaxurl,
				data: data,
				type: 'POST',
				success: function (data) {
					if (data) {
						jQuery('.loadmore a').text('Загрузить ещё');
						jQuery('.games .games__row').append(data);
						current_page++;
						if (current_page == max_pages) jQuery(".loadmore a").remove();
					} else {
						jQuery('.loadmore a').remove();
					}
				}
			});
		});





	});


});