<!doctype html>
<html lang="ru">
<head>
    <meta charset="utf-8">
    <meta name="format-detection" content="telephone=no">
    <meta name="format-detection" content="address=no">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php wp_head(); ?>
</head>
<body>
<?php $ref = carbon_get_theme_option('ref_all'); ?>
<!-- BEGIN WRAPPER -->
<div class="wrapper">
    <!-- BEGIN HEADER -->
    <div class="header">
        <div class="header__top">
            <div class="header__btn"><i></i><i></i><i></i><i></i></div>
            <div class="header__logo">
                <a href="<?php echo home_url('/'); ?>">
                    <img src="<?php echo get_template_directory_uri() ?>/assets/img/logo.svg" alt="">
                    <img src="<?php echo get_template_directory_uri() ?>/assets/img/logo-mobile.svg" alt="">
                </a>
            </div>
            <div class="header__form">
                <div class="header__inputs">
                    <div class="header__input">
                        <input type="email" placeholder="Ваш телефон/e-mail" class="input">
                    </div>
                    <div class="header__input">
                        <input type="password" placeholder="пароль" class="input">
                        <div class="header__tooltip">?</div>
                    </div>
                </div>
                <div class="header__buttons">
                    <div class="header__button">
                        <a href="<?php echo $ref; ?>" class="button-entry">Вход</a>
                    </div>
                    <div class="header__button">
                        <a href="<?php echo $ref; ?>" class="button-registration">Регистрация</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="header__bottom-bg"></div>
        <div class="header__bottom">
            <div class="header__info">
                <a href="<?php echo $ref; ?>">
                    Дарим <span>500 USD</span> <br> + 250 FS на первый депозит
                </a>
            </div>
            <div class="header__nav">
                <ul>
                    <?php
                    $ret = wp_nav_menu(array(
                        'menu_class' => 'menu',
                        'theme_location' => 'top',
                        'echo' => false,
                    ));
                    $ret = strip_tags($ret, '<li><a>');
                    echo $ret;
                    ?>

                </ul>
                <ul>
                    <li><a href="<?php echo $ref; ?>" class="icon10">Установить Android</a></li>
                    <li><a href="<?php echo $ref; ?>" class="icon11">Пинкоины</a></li>
                    <li><a href="<?php echo $ref; ?>" class="icon12">Информация</a></li>
                </ul>
            </div>
            <div class="header__lang">
                <div class="lang">
                    <div class="lang__current">
                        <span class="lang__item lang__item_ru">RU</span>
                    </div>
                    <ul class="lang__list">
                        <li><a href="<?php echo $ref; ?>" class="lang__item lang__item_en">EN</a></li>
                        <li><a href="<?php echo $ref; ?>" class="lang__item lang__item_uk">UK</a></li>
                        <li><a href="<?php echo $ref; ?>" class="lang__item lang__item_tr">TR</a></li>
                        <li><a href="<?php echo $ref; ?>" class="lang__item lang__item_es">ES</a></li>
                        <li><a href="<?php echo $ref; ?>" class="lang__item lang__item_br">BR</a></li>
                        <li><a href="<?php echo $ref; ?>" class="lang__item lang__item_az">AZ</a></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <!-- END HEADER -->
