<?php
$title      = get_the_title();
$slot_thumb = aq_resize( get_the_post_thumbnail_url(), 236, 156, true, true, true );
$ref        = carbon_get_post_meta( get_the_ID(), 'ref' );
if ( ! $ref ) {
	$ref = carbon_get_theme_option( 'ref_all' );
}
?>
<div class="games__col">
    <div class="games__item">
        <div class="games__img">
            <img src="<?php echo $slot_thumb; ?>"  alt="Играть в <? echo $title; ?>">
            <div class="games__info">
                <a href="<? echo $ref; ?>" class="games__button" target="_blank" rel="nofollow">Играть</a>
                <a href="<?php echo get_the_permalink(); ?>" class="games__link">Демо</a>
            </div>
        </div>
        <div class="games__bottom">
            <div class="games__name"><?php echo esc_html($title); ?></div>
            <a href="<?php echo get_the_permalink(); ?>" class="games__favorite"></a>
        </div>
    </div>
</div>





